<?php

/**
 * BasketOrder form.
 *
 * @package    sf
 * @subpackage form
 * @author     Atma
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class BasketOrderForm extends BaseBasketOrderForm
{
    public function configure()
    {
        $this->useFields(array('username', 'phone', 'email', 'delivery_type', 'delivery_price', 'delivery_address', 'comment', 'payment_type', 'is_confirm', 'is_payed', 'is_given'));

        $this->widgetSchema['delivery_address'] = new sfWidgetFormTextarea(array(), array('cols' => 70, 'rows' => 2, 'placeholder' => 'Адрес доставки'));
        $this->widgetSchema['username'] = new sfWidgetFormInputText(array(), array("size" => 40, "maxlength" => 255, "required" => true));
        $this->widgetSchema['phone'] =  new sfWidgetFormInputText(array(), array("size" => 28, "maxlength" => 24, "required" => true));
        $this->widgetSchema['email'] =  new sfWidgetFormInputText(array(), array("size" => 28, "maxlength" => 255, "required" => true));
    }
}
